<?php

abstract class Mail_BSMTP_Driver
{
	
	protected $_options = array();
	
	/**
	 * Constructor
	 *
	 * @param array $options  Driver-specific options, in key => value format
	 */
	public function __constructor($options = array())
	{
		array_merge($this->_options, $options);
	}
	
	/**
	 * Send the batched mail
	 *
	 * @param string $bsmtp_file  Path to the BSMTP file to send
	 */
	public function sendQueue($bsmtp_file)
	{
		throw new Exception('Not implemented by this driver');
	}
	
	/**
	 * Validate an e-mail address using the driver's own functionality.
	 * This is often better than the regex check done by the core BSMTP class
	 * and helps to avoid batch failures.
	 *
	 * @param  string $address  E-mail address to validate
	 * @return bool             Whether or not the address is valid
	 */
	public function validateAddress($address)
	{
		return true;
	}
}
