--TEST--
Test BSMTP generation functions
--FILE--
<?php
require_once 'Mail/BSMTP.php';

$bsmtp = new Mail_BSMTP();

$bsmtp->loadDriver('Exim');

$bsmtp->addMail('test@example.com', 'My subject', "Message body\nAnother line", 'from@example.com');

$bsmtp->addMail('testfoo@example.com', 'My subject 2', "Message body2\n.\nAnother line2", 'from2@example.com');

$bsmtp->addMail('test2@example.com', 'My subject 2', "Message body2\nAnother line2", 'from2@example.com');

$bsmtp->addMail('test2@example.com', 'My subject 2', "Message body2\nAnother line2\n.line starting with fullstop", 'from2@example.com');

$file = $bsmtp->getBsmtpFile();

print file_get_contents($file);

unlink($file);
//$bsmtp->sendQueue();

--EXPECTF--
MAIL FROM:<from@example.com>
RCPT TO:<test@example.com>
DATA
Subject: My subject
Date: %s

Message body
Another line

.
MAIL FROM:<from2@example.com>
RCPT TO:<testfoo@example.com>
DATA
Subject: My subject 2
Date: %s

Message body2
..
Another line2

.
MAIL FROM:<from2@example.com>
RCPT TO:<test2@example.com>
DATA
Subject: My subject 2
Date: %s

Message body2
Another line2

.
MAIL FROM:<from2@example.com>
RCPT TO:<test2@example.com>
DATA
Subject: My subject 2
Date: %s

Message body2
Another line2
..line starting with fullstop

.
--CLEAN--
<?php
?>
